Skip site navigation (1) Skip section navigation (2)

Re: PL/Python warnings in CVS HEAD

From: "Marko Kreen" <markokr(at)gmail(dot)com>
To: "Bruce Momjian" <bruce(at)momjian(dot)us>
Cc: "Tom Lane" <tgl(at)sss(dot)pgh(dot)pa(dot)us>, "Neil Conway" <neilc(at)samurai(dot)com>, "Joshua D(dot) Drake" <jd(at)commandprompt(dot)com>, PostgreSQL-development <pgsql-hackers(at)postgresql(dot)org>
Subject: Re: PL/Python warnings in CVS HEAD
Date: 2007-04-03 10:29:15
Message-ID: e51f66da0704030329odab8025pa0ddfeaa987754a8@mail.gmail.com (view raw or flat)
Thread:
Lists: pgsql-hackers
On 4/3/07, Marko Kreen <markokr(at)gmail(dot)com> wrote:
> On 4/3/07, Bruce Momjian <bruce(at)momjian(dot)us> wrote:
> > Where are we on Python 2.5?
>
> I'll look into it.

Following patch converts plpython.c to use Python 2.5 types,
with compat ifdef for older version.  This is recommended
method by PEP 353 to fix the issue.

Tested with python 2.4.3, 2.5.

-- 
marko

Attachment: python25.diff
Description: application/octet-stream (4.8 KB)

In response to

Responses

pgsql-hackers by date

Next:From: Koichi SuzukiDate: 2007-04-03 10:45:12
Subject: Re: [HACKERS] Full page writes improvement, code update
Previous:From: Koichi SuzukiDate: 2007-04-03 10:14:54
Subject: Re: [HACKERS] Full page writes improvement, code update again.

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group